org.codehaus.groovy.runtime.dgmimpl

## Class NumberNumberDiv

- java.lang.Object
- - org.codehaus.groovy.reflection.ParameterTypes
  - - groovy.lang.MetaMethod
    - - org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
      - - org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
        - - org.codehaus.groovy.runtime.dgmimpl.NumberNumberDiv

All Implemented Interfaces:
  java.lang.Cloneable

    public final class NumberNumberDiv
    extends NumberNumberMetaMethod

### Nested Class Summary

### Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod

`NumberNumberMetaMethod.NumberNumberCallSite`

### Field Summary

### Fields inherited from class org.codehaus.groovy.reflection.ParameterTypes

`isVargsMethod, nativeParamTypes, parameterTypes`

### Constructor Summary

Constructors
Constructor and Description
`NumberNumberDiv()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`CallSite` `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, java.lang.Class[] params, java.lang.Object receiver, java.lang.Object[] args)`
`static java.lang.Number` `div(java.lang.Number left, java.lang.Number right)` Divide two Numbers.
`java.lang.String` `getName()` Returns the name of the method represented by this class
`java.lang.Object` `invoke(java.lang.Object object, java.lang.Object[] arguments)` Invoke this method

### Methods inherited from class org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod

`getDeclaringClass, getModifiers, getReturnType`

### Methods inherited from class groovy.lang.MetaMethod

`checkParameters, clone, doMethodInvoke, equal, equal, getDescriptor, getMopName, getSignature, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString`

### Methods inherited from class org.codehaus.groovy.reflection.ParameterTypes

`coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getParameterTypes, getPT, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, isVargsMethod, setParametersTypes`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NumberNumberDiv

    public NumberNumberDiv()

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from class: `MetaMethod`
Returns the name of the method represented by this class

Specified by:
  `getName` in class `MetaMethod`
Returns:
  name of this method

#### invoke

    public java.lang.Object invoke(java.lang.Object object,
                                   java.lang.Object[] arguments)

Description copied from class: `MetaMethod`
Invoke this method

Specified by:
  `invoke` in class `MetaMethod`
Parameters:
  `object` - The object this method should be invoked on
  `arguments` - The arguments for the method if applicable
Returns:
  The return value of the invocation

#### div

    public static java.lang.Number div(java.lang.Number left,
                                       java.lang.Number right)

Divide two Numbers. Note: Method name different from 'divide' to avoid collision with BigInteger method that has different semantics. We want a BigDecimal result rather than a BigInteger.

Parameters:
  `left` - a Number
  `right` - another Number
Returns:
  a Number resulting of the divide operation

#### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site,
                                       MetaClassImpl metaClass,
                                       MetaMethod metaMethod,
                                       java.lang.Class[] params,
                                       java.lang.Object receiver,
                                       java.lang.Object[] args)

Specified by:
  `createPojoCallSite` in class `CallSiteAwareMetaMethod`